package com.palatform.yijia;

import com.platform.yijia.pojo.CustomerElectronicCard;
import com.platform.yijia.utils.DESUtils;
import org.apache.commons.codec.digest.DigestUtils;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.text.Bidi;
import java.text.SimpleDateFormat;
import java.util.*;

public class test {

    public static void main(String[] args) {


//        BigDecimal amt = new BigDecimal("2").subtract(new BigDecimal("2"));
//        amt =amt.signum() == -1 ? new BigDecimal(0): amt;
//        System.out.println(amt);
//
//        String data = "123";
//        String pwd = "LAnZ8RRSkIY0EGVYheu2IjEk";
//        String encryptDataStr= DESUtils.encrypt(data, pwd);
//        System.out.println("加密后得到的密文......");
//        System.out.println(encryptDataStr);
//        String decryptDataStr=DESUtils.decrypt(encryptDataStr, pwd);
//        System.out.println("解密后得到的明文......");
//        System.out.println(decryptDataStr);

        BigDecimal divide = new BigDecimal("8.55").divide(new BigDecimal("1"), 0, BigDecimal.ROUND_DOWN);
        System.out.println(divide);


    }




    public static boolean isEqual(byte[] digesta, byte[] digestb) {
        if (digesta.length != digestb.length) {
            return false;
        }

        int result = 0;
        for (int i = 0; i < digesta.length; i++) {
            result |= digesta[i] ^ digestb[i];
            System.out.println(digesta[i] ^ digestb[i]);
            //System.out.println(result);
        }
        return result == 0;
    }



}
